This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467814 - Review Request: spin - Builds software appliances based on Red Hat, CentOS and Fedora Linux
Review Request: spin - Builds software appliances based on Red Hat, CentOS an...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 467813
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-10-20 21:27 EDT by Uday Prakash
Modified: 2009-07-05 12:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-05 12:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Uday Prakash 2008-10-20 21:27:09 EDT
Spec URL:
http://www.renditionsoftware.com/products/spin/review/spin.spec

SRPM URL:
http://www.renditionsoftware.com/products/spin/review/spin-0.9.4-1.src.rpm

Description: 
Spin is a lightweight, performance-optimized development tool for
creating simple, integrated, easy-to-manage software bundles (known as
'software appliances', 'custom distributions', or 'custom spins')
containing operating system components, applications and related
configuration. Spin allows starting from Red Hat Enterprise Linux 5,
CentOS 5, Fedora 9 and Fedora 10. Spin is comparable to pungi and
revisor, with added support for RHEL and CentOS as base distributions,
automatic generation of a config RPM using user-provided files and
scripts, and performance enhancements of 50-90%.

Note: Customers who create appliances based on RHEL will need to
separately purchase RHEL licenses for all installed client systems.
Comment 1 Uday Prakash 2008-10-20 21:28:11 EDT
For more information about Spin, please go to

http://www.renditionsoftware.com/spin
Comment 2 Patrice Dumas 2008-10-21 03:36:08 EDT
In my opinion, the name is too generic, for an argumentation, see:

http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Use_of_common_namespace
Comment 3 R P Herrold 2008-10-21 12:24:02 EDT
I see an install time require for:  rendition-common

Is this in the submission queue as well?

-- Russ herrold
Comment 4 Bill Nottingham 2008-10-21 12:31:00 EDT
Yes, see the 'dependent bugs'.
Comment 5 Uday Prakash 2008-10-21 14:11:43 EDT
Thanks, Bill :).
Comment 6 Uday Prakash 2008-10-21 14:58:28 EDT
Patrice,

Thanks for your feedback!

Spin is the product's name, and I would rather not rename the package unless it blocks the package from getting added to Fedora's rawhide.  Do you know of the steps I would need to take to request that the package name remain "spin"?

That said, if it comes down to it, some new names that I can think of are: rendition-spin, spin-appliance-creator, etc.
Comment 7 Patrice Dumas 2008-10-21 16:46:48 EDT
(In reply to comment #6)
> Patrice,
> 
> Thanks for your feedback!
> 
> Spin is the product's name, and I would rather not rename the package unless it
> blocks the package from getting added to Fedora's rawhide.  Do you know of the
> steps I would need to take to request that the package name remain "spin"?

It is not a blocker per the packaging guideline, so you may find a reviewer willing to accept the name -- it won't be me.

> That said, if it comes down to it, some new names that I can think of are:
> rendition-spin, spin-appliance-creator, etc

spin-creator would be nice in my opinion..
Comment 8 Uday Prakash 2008-10-21 17:17:49 EDT
(In reply to comment #7)

> spin-creator would be nice in my opinion..

What's currently the spin RPM also installs a '/usr/bin/spin' binary; will that also need to change to '/usr/bin/spin-creator'?  Or just the package name?
Comment 9 Patrice Dumas 2008-10-21 17:27:58 EDT
also the command name.
Comment 10 Jerry James 2009-04-23 16:15:04 EDT
If some justification is needed for the rename, here's a page I've had on the web, one place or another, since September 2006:

http://jjames.fedorapeople.org/spin/

I can't submit that package to Fedora because it has a "noncommercial use only" license, but I may very well submit it to RPM Fusion.  I'll have to think of a good renaming for it.
Comment 11 Jason Tibbitts 2009-07-05 12:57:48 EDT
The ticket this one depends on has been closed because the submitter has gone away; I'm closing this one as well.

Note You need to log in before you can comment on or make changes to this bug.